"use client"
import { Button } from "@/components/ui/button"
import {
  Dialog,
  DialogContent,
  DialogDescription,
  DialogFooter,
  DialogHeader,
  DialogTitle,
  DialogTrigger,
} from "@/components/ui/dialog"
import { Input } from "@/components/ui/input"
import { Label } from "@/components/ui/label"
import Styles from "./search.module.css"
// redux
import {useDispatch,useSelector} from "react-redux"
import { useTranslation } from "react-i18next"
import { useEffect } from "react"


function SearchInput({returnedvalue,inDialog=false}) {

    const isToggle = useSelector(state=>(state.toggleSidebar.toggle))
    const {t, i18n} = useTranslation()
    const activeLang = i18n.language
   
    return ( <div onClick={()=>{if(isToggle && !inDialog){returnedvalue(true)}}} className={activeLang=="ar"?Styles.searchAr:Styles.search}>
    
            <span  className={isToggle?`material-symbols-outlined ${Styles.span}`:`material-symbols-outlined`}>
                search
            </span>
    
        { <Input className={(isToggle&&!inDialog)==false?Styles.opacityInputShow:((isToggle&&!inDialog)==true?Styles.opacityInputHide:"")} placeholder={t("search")} />}
        
    </div> );
}

export default SearchInput